Create a subscription AI alert
post
/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts
Request
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
AlertCode: string
Maximum Length:
64Code that uniquely identifies the type of AI alert. -
AlertDetails: string
(byte)
Detailed description of the AI generated alert.
-
AlertType: string
Maximum Length:
64Category of the AI alert. -
ErrorMessage: string
Maximum Length:
4000Error message generated during alert evaluation. -
ObjectVersionNumber: integer
(int32)
Version number used to manage concurrent updates to the alert record.
-
SubscriptionAlertId: integer
(int64)
Unique identifier of the subscription AI alert.
-
SubscriptionId: integer
(int64)
Unique identifier of the subscription associated with the alert.
-
SubscriptionNumber: string
Maximum Length:
120Subscription number associated with the alert. -
SubscriptionProductId: integer
(int64)
Unique identifier of the subscription product associated with the alert.
-
SubscriptionProductPuid: string
Maximum Length:
120Public unique identifier of the subscription product associated with the alert.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : subscriptionAIAlerts-item-response
Type:
Show Source
object-
AlertCode: string
Maximum Length:
64Code that uniquely identifies the type of AI alert. -
AlertDetails: string
(byte)
Detailed description of the AI generated alert.
-
AlertType: string
Maximum Length:
64Category of the AI alert. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the subscription AI alert record. -
CreationDate: string
(date-time)
Read Only:
trueDate when the subscription AI alert was created. -
ErrorMessage: string
Maximum Length:
4000Error message generated during alert evaluation. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the subscription AI alert was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the subscription AI alert record. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Login session identifier used during the last update of the alert. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Version number used to manage concurrent updates to the alert record.
-
SubscriptionAlertId: integer
(int64)
Unique identifier of the subscription AI alert.
-
SubscriptionId: integer
(int64)
Unique identifier of the subscription associated with the alert.
-
SubscriptionNumber: string
Maximum Length:
120Subscription number associated with the alert. -
SubscriptionProductId: integer
(int64)
Unique identifier of the subscription product associated with the alert.
-
SubscriptionProductPuid: string
Maximum Length:
120Public unique identifier of the subscription product associated with the alert.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
The following example shows how to create a subscription AI alert by submitting a request on the REST resource using cURL.
cURL Command
curl -u <username:password> \ -X POST
https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/subscriptionAIAlerts/
\ -H 'Content-Type: application/json' \'Rest-framework-version: 8'
Example of Request Body
The following shows an example of the request body in JSON
format.
{
"SubscriptionAlertId": 128301,
"SubscriptionId": 100001,
"SubscriptionNumber": "SUB123456100",
"SubscriptionProductId": 5001,
"SubscriptionProductPuid": "PROD-PUID-001",
"AlertType": "TYPE_A",
"AlertCode": "CODE100",
"AlertDetails": "Details about the alert",
"ErrorMessage": null
}Example of Response Body
The following shows an example of the response body in JSON format.
{
"AlertCode": "CODE100",
"AlertType": "TYPE_A",
"CreatedBy": "User",
"CreationDate": "2026-03-16T09:42:01+00:00",
"ErrorMessage": null,
"LastUpdateDate": "2026-03-16T09:42:01.002+00:00",
"LastUpdateLogin": "49FA0EFF78FE52F3E0630278060AC62E",
"LastUpdatedBy": "User",
"ObjectVersionNumber": 1,
"Segmentation": null,
"Status": null,
"SubscriptionAlertId": 128301,
"SubscriptionId": 100001,
"SubscriptionNumber": "SUB123456100",
"SubscriptionProductId": 5001,
"SubscriptionProductPuid": "PROD-PUID-001",
"TransactionId": null,
"@context": {
"key": "128301",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/128301",
"name": "subscriptionAIAlerts",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/128301",
"name": "subscriptionAIAlerts",
"kind": "item"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/128301/enclosure/AlertDetails",
"name": "AlertDetails",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/128301/enclosure/RenewalBrief",
"name": "RenewalBrief",
"kind": "other"
}
]
}
}